# Uses of Interface
com.sun.source.tree.ProvidesTree

Packages that use ProvidesTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ProvidesTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ProvidesTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitProvides(ProvidesTree node, P p)`
Visits a `ProvidesTree` node.

## Uses of ProvidesTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ProvidesTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitProvides(ProvidesTree node, P p)`
Visits a `ProvidesTree` node.
`R`
TreeScanner.`visitProvides(ProvidesTree node, P p)`
Visits a `ProvidesTree` node.